Bug 833086 - squid uses a private md5 hash function for user auth, bypassing FIPS 140-2 restrictions
Summary: squid uses a private md5 hash function for user auth, bypassing FIPS 140-2 re...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: squid
Version: 6.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Michal Luscon
QA Contact: Dalibor Pospíšil
URL:
Whiteboard:
Depends On:
Blocks: 717789 833216
TreeView+ depends on / blocked
 
Reported: 2012-06-18 14:40 UTC by Paul Wouters
Modified: 2013-02-21 08:39 UTC (History)
3 users (show)

Fixed In Version: squid-3.1.10-14.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 833216 1322364 (view as bug list)
Environment:
Last Closed: 2013-02-21 08:39:55 UTC
Target Upstream Version:


Attachments (Terms of Use)
md5 fips and crypt patch (8.06 KB, patch)
2012-06-18 21:15 UTC, Paul Wouters
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0505 normal SHIPPED_LIVE Moderate: squid security and bug fix update 2013-02-20 21:30:33 UTC

Description Paul Wouters 2012-06-18 14:40:09 UTC
Description of problem:
For details, see #705097

Comment 2 Paul Wouters 2012-06-18 21:15:29 UTC
Created attachment 592755 [details]
md5 fips and crypt patch

Patch to only allow private md5 functions for local disk file hash identifiers, but not for user authentication or network access to ensure compliance with fips.This also addresses an issue with crypt() possible returning NULL.

Comment 3 RHEL Program Management 2012-07-10 08:18:06 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 4 RHEL Program Management 2012-07-11 02:02:40 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 12 errata-xmlrpc 2013-02-21 08:39:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0505.html


Note You need to log in before you can comment on or make changes to this bug.